package models

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ TaskVmModel = (*customTaskVmModel)(nil)

type (
	// TaskVmModel is an interface to be customized, add more methods here,
	// and implement the added methods in customTaskVmModel.
	TaskVmModel interface {
		taskVmModel
	}

	customTaskVmModel struct {
		*defaultTaskVmModel
	}
)

// NewTaskVmModel returns a model for the database table.
func NewTaskVmModel(conn sqlx.SqlConn) TaskVmModel {
	return &customTaskVmModel{
		defaultTaskVmModel: newTaskVmModel(conn),
	}
}
